profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/viveleroi/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Mike Botsko viveleroi Helion3, LLC (formerly Botsko.net, Inc.) Portland, Oregon http://www.helion3.com

blakehaswell/mongoose-unique-validator 463

mongoose-unique-validator is a plugin which adds pre-save validation for unique fields within a Mongoose schema.

viveleroi/jquery.formbuilder 274

A jQuery plugin for building forms, loading form structure from xml, and saving back to the server.

AddstarMC/Prism-Bukkit 94

Prism is a rollback/grief management tool for Bukkit

viveleroi/notepad-generator 17

Source code for the notepad generator tool from Botsko.net

viveleroi/authorize.net 13

PHP5 class for working with the Authorize.net advanced integration method API.

viveleroi/jquery.serialize-list 7

A jQuery plugin for serializing un/ordered list items for ajax calls.

viveleroi/formsaver 5

Source code for the Formsaver Firefox 3 extension.

viveleroi/Peregrine 5

A superglobal/array security class for php.

viveleroi/jquery.expandtext 4

Increases/descreses font size with the parent container

GollumEvent

issue openedprism/Prism

Error in console

I put in the mods folder the PrismPlus plugin latest version on sponge ore, and Prism-f456812-all.jar the last one, when I started the server it didn't give any problems but when it went online completely it started giving these errors, https: //pastebin.com/9uDX1sbT

created time in 16 days

PR opened helion3/inspire-tree

Bump browserslist from 4.7.0 to 4.16.6

Bumps browserslist from 4.7.0 to 4.16.6. <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/browserslist/browserslist/blob/main/CHANGELOG.md">browserslist's changelog</a>.</em></p> <blockquote> <h2>4.16.6</h2> <ul> <li>Fixed <code>npm-shrinkwrap.json</code> support in <code>--update-db</code> (by Geoff Newman).</li> </ul> <h2>4.16.5</h2> <ul> <li>Fixed unsafe RegExp (by Yeting Li).</li> </ul> <h2>4.16.4</h2> <ul> <li>Fixed unsafe RegExp.</li> <li>Added artifactory support to <code>--update-db</code> (by Ittai Baratz).</li> </ul> <h2>4.16.3</h2> <ul> <li>Fixed <code>--update-db</code>.</li> </ul> <h2>4.16.2</h2> <ul> <li>Fixed <code>--update-db</code> (by <a href="https://github.com/ialarmedalien"><code>@​ialarmedalien</code></a>).</li> </ul> <h2>4.16.1</h2> <ul> <li>Fixed Chrome 4 with <code>mobileToDesktop</code> (by Aron Woost).</li> </ul> <h2>4.16</h2> <ul> <li>Add <code>browserslist config</code> query.</li> </ul> <h2>4.15</h2> <ul> <li>Add TypeScript types (by Dmitry Semigradsky).</li> </ul> <h2>4.14.7</h2> <ul> <li>Fixed Yarn Workspaces support to <code>--update-db</code> (by Fausto Núñez Alberro).</li> <li>Added browser changes to <code>--update-db</code> (by <a href="https://github.com/AleksandrSl"><code>@​AleksandrSl</code></a>).</li> <li>Added color output to <code>--update-db</code>.</li> <li>Updated <code>package.funding</code> to have link to our Open Collective.</li> </ul> <h2>4.14.6</h2> <ul> <li>Fixed Yarn support in <code>--update-db</code> (by Ivan Storck).</li> <li>Fixed npm 7 support in <code>--update-db</code>.</li> </ul> <h2>4.14.5</h2> <ul> <li>Fixed <code>last 2 electron versions</code> query (by Sergey Melyukov).</li> </ul> <h2>4.14.4</h2> <ul> <li>Fixed <code>Unknown version 59 of op_mob</code> error.</li> </ul> <h2>4.14.3</h2> <ul> <li>Update Firefox ESR.</li> </ul> <h2>4.14.2</h2> <ul> <li>Fixed <code>--update-db</code> on Windows (by James Ross).</li> <li>Improved <code>--update-db</code> output.</li> </ul> <h2>4.14.1</h2> <ul> <li>Added <code>--update-db</code> explanation (by Justin Zelinsky).</li> </ul> <!-- raw HTML omitted --> </blockquote> <p>... (truncated)</p> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/browserslist/browserslist/commit/6fe3614db05b40f9dc1c63588a83d2ada05bae75"><code>6fe3614</code></a> Release 4.16.6 version</li> <li><a href="https://github.com/browserslist/browserslist/commit/33ebac933839847a62ede680273449f6cdca1e18"><code>33ebac9</code></a> Update dependencies</li> <li><a href="https://github.com/browserslist/browserslist/commit/2128170f231a6c9f462276006e09f302d811df31"><code>2128170</code></a> Add support for npm-shrinkwrap files alongside package-lock (<a href="https://github-redirect.dependabot.com/browserslist/browserslist/issues/595">#595</a>)</li> <li><a href="https://github.com/browserslist/browserslist/commit/7cc2aedd0047d800d44aa0259c02b6db1414105c"><code>7cc2aed</code></a> Release 4.16.5 version</li> <li><a href="https://github.com/browserslist/browserslist/commit/27e4afdc68798ca93f8c01c5ea6208b4b361a704"><code>27e4afd</code></a> Update dependencies</li> <li><a href="https://github.com/browserslist/browserslist/commit/1013a1847931a209c34a704aebc85a8c091286e7"><code>1013a18</code></a> Fix version RegExp</li> <li><a href="https://github.com/browserslist/browserslist/commit/b879a1a304def2563f42cc3d3f5711e760662be3"><code>b879a1a</code></a> Use Node.js 16 on CI</li> <li><a href="https://github.com/browserslist/browserslist/commit/bd1e9e01c95cad24be706fb11be7d151cd99ed0a"><code>bd1e9e0</code></a> Fix ReDoS (<a href="https://github-redirect.dependabot.com/browserslist/browserslist/issues/593">#593</a>)</li> <li><a href="https://github.com/browserslist/browserslist/commit/209adf9e0051fa39a2b25354cffd493300f34b02"><code>209adf9</code></a> Release 4.16.4 version</li> <li><a href="https://github.com/browserslist/browserslist/commit/3e2ae3b52daf7f5203247fd4f583b3bda66ea57d"><code>3e2ae3b</code></a> Fix types</li> <li>Additional commits viewable in <a href="https://github.com/browserslist/browserslist/compare/4.7.0...4.16.6">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+30 -20

0 comment

1 changed file

pr created time in 25 days

issue openedAddstarMC/Prism-Bukkit

[FEATURE] Mongodb support

Is your feature request related to a problem? Please describe. It would be awesome to see that the bukkit version of Prism can support Mongodb as it had been implemented in the Sponge version of Prism.

Describe the solution you'd like Add Mongodb support,It will bring performance improve.

created time in a month

issue commentAddstarMC/Prism-Bukkit

[BUG] Doesn't support multiple worlds?

@NeverGrowUp Yes, my config.yml including the above configuration, but only recording "world" changes. For example, if I want to record the changes of "world_2", what should I do? It is also not stated in the document.

sourcepowered

comment created time in a month

issue closedAddstarMC/Prism-Bukkit

[BUG] Doesn't support multiple worlds?

Only the "world" is recorded, but other worlds are not recorded.

closed time in a month

sourcepowered

issue commentAddstarMC/Prism-Bukkit

[BUG] Doesn't support multiple worlds?

@sourcepowered Sorry but you have not provided enough info for this bug report and you also ignored the issue template so we can't help you. If you are still having problems, feel free to open a new issue but please use the template and fill in all the details. Thanks!

sourcepowered

comment created time in a month

issue commentAddstarMC/Prism-Bukkit

[BUG] Doesn't support multiple worlds?

Unable to reproduce. Please confirm your config.yml has:

ignore: worlds: [] worlds_whitelist: false

sourcepowered

comment created time in a month

issue openedAddstarMC/Prism-Bukkit

[BUG] Doesn't support multiple worlds?

Only the "world" is recorded, but other worlds are not recorded.

created time in a month

PR opened blakehaswell/mongoose-unique-validator

Bump bson from 1.1.1 to 1.1.6

Bumps bson from 1.1.1 to 1.1.6. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/mongodb/js-bson/releases">bson's releases</a>.</em></p> <blockquote> <h2>1.1.6</h2> <p>The MongoDB Node.js team is pleased to announce version 1.1.6 of the bson module!</p> <p>The BSON library was written prior to the invention of the BigInt type in Javascript ecosystem. As a result the library was not able to serialize the type properly and silently failed to correctly maintain the bigint value. With this update, the library will now throw an error if it detects a bigint value. However, we've also added to/fromBigInt helper methods to the long class, please note that numbers will be clamped to int64 bit width.</p> <pre lang="js"><code>const bytes = BSON.serialize({ myBigNumber: Long.fromBigInt(23n) }) const doc = BSON.deserialize(bytes) doc.myBigNumber.toBigInt() === 23n // true </code></pre> <h2>New Feature</h2> <ul> <li>[<a href="https://jira.mongodb.org/browse/NODE-2378">NODE-2378</a>] - Return error when failing to serialize bigint type and add Long class helpers</li> </ul> <h2>Documentation</h2> <ul> <li>API: <a href="https://github.com/mongodb/js-bson#readme">https://github.com/mongodb/js-bson#readme</a></li> <li>Changelog: <a href="https://github.com/mongodb/js-bson/blob/master/HISTORY.md#change-log">https://github.com/mongodb/js-bson/blob/master/HISTORY.md#change-log</a></li> </ul> <p>We invite you to try the bson library immediately, and report any issues to the NODE project. Thanks very much to all the community members who contributed to this release!</p> <h2>v1.1.4</h2> <p>The MongoDB Node.js team is pleased to announce version 1.1.4 of the <code>bson</code> module!</p> <p>This patch release resolves an issue with BSON serialization with invalid <code>_bsontype</code>, originally reported by <a href="https://github.com/xiaofen9"><code>@​xiaofen9</code></a>. MongoDB will be issuing a CVE for this vulnerability, and we recommend that all users pin their version of the <code>bson</code> module to 1.1.4 or higher.</p> <h2>Release Notes</h2> <!-- raw HTML omitted --> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/mongodb/js-bson/blob/v1.1.6/HISTORY.md">bson's changelog</a>.</em></p> <blockquote> <h3><a href="https://github.com/mongodb/js-bson/compare/v1.1.5...v1.1.6">1.1.6</a> (2021-03-16)</h3> <h3>Bug Fixes</h3> <ul> <li>Throw error on bigint usage and add helpers to Long (<a href="https://github-redirect.dependabot.com/mongodb/js-bson/issues/426">#426</a>) (<a href="https://github.com/mongodb/js-bson/commit/375f368738807f2d41c7751e618fd09c8a1b94c9">375f368</a>)</li> </ul> <h3><a href="https://github.com/mongodb/js-bson/compare/v1.1.4...v1.1.5">1.1.5</a> (2020-08-10)</h3> <h3>Bug Fixes</h3> <ul> <li><strong>object-id:</strong> harden the duck-typing (<a href="https://github.com/mongodb/js-bson/commit/b5261450c3bc4abb2e2fb19b5b1a7aba27982d44">b526145</a>)</li> </ul> <p><!-- raw HTML omitted --><!-- raw HTML omitted --></p> <h2><a href="https://github.com/mongodb/js-bson/compare/v1.1.2...v1.1.3">1.1.3</a> (2019-11-09)</h2> <p>Reverts 1.1.2</p> <p><!-- raw HTML omitted --><!-- raw HTML omitted --></p> <h2><a href="https://github.com/mongodb/js-bson/compare/v1.1.1...v1.1.2">1.1.2</a> (2019-11-08)</h2> <h3>Bug Fixes</h3> <ul> <li><strong>_bsontype:</strong> only check bsontype if it is a prototype member. (<a href="https://github.com/mongodb/js-bson/commit/dd8a349">dd8a349</a>)</li> </ul> <p><!-- raw HTML omitted --><!-- raw HTML omitted --></p> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li>See full diff in <a href="https://github.com/mongodb/js-bson/commits/v1.1.6">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~nbbeeken">nbbeeken</a>, a new releaser for bson since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+8 -3

0 comment

1 changed file

pr created time in a month

delete branch blakehaswell/mongoose-unique-validator

delete branch : dependabot/npm_and_yarn/lodash-4.17.19

delete time in a month

PR closed blakehaswell/mongoose-unique-validator

Bump lodash from 4.17.11 to 4.17.19 dependencies

Bumps lodash from 4.17.11 to 4.17.19. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/lodash/lodash/releases">lodash's releases</a>.</em></p> <blockquote> <h2>4.17.16</h2> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/lodash/lodash/commit/d7fbc52ee0466a6d248f047b5d5c3e6d1e099056"><code>d7fbc52</code></a> Bump to v4.17.19</li> <li><a href="https://github.com/lodash/lodash/commit/2e1c0f22f425e9c013815b2cd7c2ebd51f49a8d6"><code>2e1c0f2</code></a> Add npm-package</li> <li><a href="https://github.com/lodash/lodash/commit/1b6c282299f4e0271f932b466c67f0f822aa308e"><code>1b6c282</code></a> Bump to v4.17.18</li> <li><a href="https://github.com/lodash/lodash/commit/a370ac81408de2da77a82b3c4b61a01a3b9c2fac"><code>a370ac8</code></a> Bump to v4.17.17</li> <li><a href="https://github.com/lodash/lodash/commit/1144918f3578a84fcc4986da9b806e63a6175cbb"><code>1144918</code></a> Rebuild lodash and docs</li> <li><a href="https://github.com/lodash/lodash/commit/3a3b0fd339c2109563f7e8167dc95265ed82ef3e"><code>3a3b0fd</code></a> Bump to v4.17.16</li> <li><a href="https://github.com/lodash/lodash/commit/c84fe82760fb2d3e03a63379b297a1cc1a2fce12"><code>c84fe82</code></a> fix(zipObjectDeep): prototype pollution (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4759">#4759</a>)</li> <li><a href="https://github.com/lodash/lodash/commit/e7b28ea6cb17b4ca021e7c9d66218c8c89782f32"><code>e7b28ea</code></a> Sanitize sourceURL so it cannot affect evaled code (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4518">#4518</a>)</li> <li><a href="https://github.com/lodash/lodash/commit/0cec225778d4ac26c2bac95031ecc92a94f08bbb"><code>0cec225</code></a> Fix lodash.isEqual for circular references (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4320">#4320</a>) (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4515">#4515</a>)</li> <li><a href="https://github.com/lodash/lodash/commit/94c3a8133cb4fcdb50db72b4fd14dd884b195cd5"><code>94c3a81</code></a> Document matches* shorthands for over* methods (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4510">#4510</a>) (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4514">#4514</a>)</li> <li>Additional commits viewable in <a href="https://github.com/lodash/lodash/compare/4.17.11...4.17.19">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~mathias">mathias</a>, a new releaser for lodash since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+8 -2

1 comment

1 changed file

dependabot[bot]

pr closed time in a month

pull request commentblakehaswell/mongoose-unique-validator

Bump lodash from 4.17.11 to 4.17.19

Superseded by #124.

dependabot[bot]

comment created time in a month

PR opened blakehaswell/mongoose-unique-validator

Bump lodash from 4.17.11 to 4.17.21

Bumps lodash from 4.17.11 to 4.17.21. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/lodash/lodash/commit/f299b52f39486275a9e6483b60a410e06520c538"><code>f299b52</code></a> Bump to v4.17.21</li> <li><a href="https://github.com/lodash/lodash/commit/c4847ebe7d14540bb28a8b932a9ce1b9ecbfee1a"><code>c4847eb</code></a> Improve performance of <code>toNumber</code>, <code>trim</code> and <code>trimEnd</code> on large input strings</li> <li><a href="https://github.com/lodash/lodash/commit/3469357cff396a26c363f8c1b5a91dde28ba4b1c"><code>3469357</code></a> Prevent command injection through <code>_.template</code>'s <code>variable</code> option</li> <li><a href="https://github.com/lodash/lodash/commit/ded9bc66583ed0b4e3b7dc906206d40757b4a90a"><code>ded9bc6</code></a> Bump to v4.17.20.</li> <li><a href="https://github.com/lodash/lodash/commit/63150ef7645ac07961b63a86490f419f356429aa"><code>63150ef</code></a> Documentation fixes.</li> <li><a href="https://github.com/lodash/lodash/commit/00f0f62a979d2f5fa0287c06eae70cf9a62d8794"><code>00f0f62</code></a> test.js: Remove trailing comma.</li> <li><a href="https://github.com/lodash/lodash/commit/846e434c7a5b5692c55ebf5715ed677b70a32389"><code>846e434</code></a> Temporarily use a custom fork of <code>lodash-cli</code>.</li> <li><a href="https://github.com/lodash/lodash/commit/5d046f39cbd27f573914768e3b36eeefcc4f1229"><code>5d046f3</code></a> Re-enable Travis tests on <code>4.17</code> branch.</li> <li><a href="https://github.com/lodash/lodash/commit/aa816b36d402a1ad9385142ce7188f17dae514fd"><code>aa816b3</code></a> Remove <code>/npm-package</code>.</li> <li><a href="https://github.com/lodash/lodash/commit/d7fbc52ee0466a6d248f047b5d5c3e6d1e099056"><code>d7fbc52</code></a> Bump to v4.17.19</li> <li>Additional commits viewable in <a href="https://github.com/lodash/lodash/compare/4.17.11...4.17.21">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~bnjmnt4n">bnjmnt4n</a>, a new releaser for lodash since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+8 -2

0 comment

1 changed file

pr created time in a month

create barnchhelion3/inspire-tree

branch : dependabot/npm_and_yarn/lodash-4.17.21

created branch time in a month

delete branch helion3/inspire-tree

delete branch : dependabot/npm_and_yarn/lodash-4.17.19

delete time in a month

PR closed helion3/inspire-tree

Bump lodash from 4.17.15 to 4.17.19 dependencies

Bumps lodash from 4.17.15 to 4.17.19. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/lodash/lodash/releases">lodash's releases</a>.</em></p> <blockquote> <h2>4.17.16</h2> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/lodash/lodash/commit/d7fbc52ee0466a6d248f047b5d5c3e6d1e099056"><code>d7fbc52</code></a> Bump to v4.17.19</li> <li><a href="https://github.com/lodash/lodash/commit/2e1c0f22f425e9c013815b2cd7c2ebd51f49a8d6"><code>2e1c0f2</code></a> Add npm-package</li> <li><a href="https://github.com/lodash/lodash/commit/1b6c282299f4e0271f932b466c67f0f822aa308e"><code>1b6c282</code></a> Bump to v4.17.18</li> <li><a href="https://github.com/lodash/lodash/commit/a370ac81408de2da77a82b3c4b61a01a3b9c2fac"><code>a370ac8</code></a> Bump to v4.17.17</li> <li><a href="https://github.com/lodash/lodash/commit/1144918f3578a84fcc4986da9b806e63a6175cbb"><code>1144918</code></a> Rebuild lodash and docs</li> <li><a href="https://github.com/lodash/lodash/commit/3a3b0fd339c2109563f7e8167dc95265ed82ef3e"><code>3a3b0fd</code></a> Bump to v4.17.16</li> <li><a href="https://github.com/lodash/lodash/commit/c84fe82760fb2d3e03a63379b297a1cc1a2fce12"><code>c84fe82</code></a> fix(zipObjectDeep): prototype pollution (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4759">#4759</a>)</li> <li><a href="https://github.com/lodash/lodash/commit/e7b28ea6cb17b4ca021e7c9d66218c8c89782f32"><code>e7b28ea</code></a> Sanitize sourceURL so it cannot affect evaled code (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4518">#4518</a>)</li> <li><a href="https://github.com/lodash/lodash/commit/0cec225778d4ac26c2bac95031ecc92a94f08bbb"><code>0cec225</code></a> Fix lodash.isEqual for circular references (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4320">#4320</a>) (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4515">#4515</a>)</li> <li><a href="https://github.com/lodash/lodash/commit/94c3a8133cb4fcdb50db72b4fd14dd884b195cd5"><code>94c3a81</code></a> Document matches* shorthands for over* methods (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4510">#4510</a>) (<a href="https://github-redirect.dependabot.com/lodash/lodash/issues/4514">#4514</a>)</li> <li>Additional commits viewable in <a href="https://github.com/lodash/lodash/compare/4.17.15...4.17.19">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~mathias">mathias</a>, a new releaser for lodash since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -3

1 comment

1 changed file

dependabot[bot]

pr closed time in a month

pull request commenthelion3/inspire-tree

Bump lodash from 4.17.15 to 4.17.19

Superseded by #201.

dependabot[bot]

comment created time in a month

PR opened helion3/inspire-tree

Bump lodash from 4.17.15 to 4.17.21

Bumps lodash from 4.17.15 to 4.17.21. <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/lodash/lodash/commit/f299b52f39486275a9e6483b60a410e06520c538"><code>f299b52</code></a> Bump to v4.17.21</li> <li><a href="https://github.com/lodash/lodash/commit/c4847ebe7d14540bb28a8b932a9ce1b9ecbfee1a"><code>c4847eb</code></a> Improve performance of <code>toNumber</code>, <code>trim</code> and <code>trimEnd</code> on large input strings</li> <li><a href="https://github.com/lodash/lodash/commit/3469357cff396a26c363f8c1b5a91dde28ba4b1c"><code>3469357</code></a> Prevent command injection through <code>_.template</code>'s <code>variable</code> option</li> <li><a href="https://github.com/lodash/lodash/commit/ded9bc66583ed0b4e3b7dc906206d40757b4a90a"><code>ded9bc6</code></a> Bump to v4.17.20.</li> <li><a href="https://github.com/lodash/lodash/commit/63150ef7645ac07961b63a86490f419f356429aa"><code>63150ef</code></a> Documentation fixes.</li> <li><a href="https://github.com/lodash/lodash/commit/00f0f62a979d2f5fa0287c06eae70cf9a62d8794"><code>00f0f62</code></a> test.js: Remove trailing comma.</li> <li><a href="https://github.com/lodash/lodash/commit/846e434c7a5b5692c55ebf5715ed677b70a32389"><code>846e434</code></a> Temporarily use a custom fork of <code>lodash-cli</code>.</li> <li><a href="https://github.com/lodash/lodash/commit/5d046f39cbd27f573914768e3b36eeefcc4f1229"><code>5d046f3</code></a> Re-enable Travis tests on <code>4.17</code> branch.</li> <li><a href="https://github.com/lodash/lodash/commit/aa816b36d402a1ad9385142ce7188f17dae514fd"><code>aa816b3</code></a> Remove <code>/npm-package</code>.</li> <li><a href="https://github.com/lodash/lodash/commit/d7fbc52ee0466a6d248f047b5d5c3e6d1e099056"><code>d7fbc52</code></a> Bump to v4.17.19</li> <li>Additional commits viewable in <a href="https://github.com/lodash/lodash/compare/4.17.15...4.17.21">compare view</a></li> </ul> </details> <details> <summary>Maintainer changes</summary> <p>This version was pushed to npm by <a href="https://www.npmjs.com/~bnjmnt4n">bnjmnt4n</a>, a new releaser for lodash since your current version.</p> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -3

0 comment

1 changed file

pr created time in a month

pull request commentAddstarMC/Prism-Bukkit

Updated Paper + Fix Result Set Handling

does this mean it's fixed or not yet?

The fix has been merged into the master code branch, but there is no build yet with the fix.

As per the repo README, dev builds will be available here. When it's built :slightly_smiling_face:

darbyjack

comment created time in 2 months

pull request commentAddstarMC/Prism-Bukkit

Updated Paper + Fix Result Set Handling

does this mean it's fixed or not yet?

darbyjack

comment created time in 2 months

pull request commentAddstarMC/Prism-Bukkit

Updated Paper + Fix Result Set Handling

Wasn't able to get the Codacy status check to work (even though it's green) so I merged anyway. Thanks again for the contribution! :clap:

darbyjack

comment created time in 2 months

push eventAddstarMC/Prism-Bukkit

darbyjack

commit sha 27d369a580f57b40cdab7c31115d9620eb68ce61

Updated Paper + Fix result set handling

view details

darbyjack

commit sha a0d585324a7aa0466390bc12d171228f3e3b600b

Updated Adventure Lib

view details

darbyjack

commit sha 5279a06cc1d41c3ee8f44cf74b5be66b741b3f2e

Updated HikariCP Version

view details

add5tar

commit sha d5cbcd71d6692540e9a899c29b16691ba7661f85

Merge pull request #258 from darbyjack/master Updated Paper + Fix Result Set Handling + Bump Adventure versions

view details

push time in 2 months

PR merged AddstarMC/Prism-Bukkit

Updated Paper + Fix Result Set Handling

The latest build of Paper introduced an update to the mysql-connector. One of the changes made it more strict on the usage of rs.first(). Somewhere in Prism is logic to handle going forward and backwards, but with rs.first(), you can not do that or it will produce the following error: https://paste.gg/p/anonymous/9010ae83f15249d281d1917059c086aa

This PR changes the usage of rs.first() to rs.next() which is the "proper" usage of handling result sets.

+7 -7

5 comments

4 changed files

darbyjack

pr closed time in 2 months

pull request commentAddstarMC/Prism-Bukkit

Updated Paper + Fix Result Set Handling

Having trouble getting all status checks to pass, but that's a problem with the tests, not your change... I'm working on it.

darbyjack

comment created time in 2 months

Pull request review commentAddstarMC/Prism-Bukkit

Updated Paper + Fix Result Set Handling

         <dependency>             <groupId>net.kyori</groupId>             <artifactId>adventure-api</artifactId>-            <version>4.1.1</version>+            <version>4.7.0</version>

All good, I think it's safe to merge this now :+1: Nice work, thanks!! :clap:

darbyjack

comment created time in 2 months

Pull request review commentAddstarMC/Prism-Bukkit

Updated Paper + Fix Result Set Handling

         <dependency>             <groupId>net.kyori</groupId>             <artifactId>adventure-api</artifactId>-            <version>4.1.1</version>+            <version>4.7.0</version>

I want to say there was some error at some point related to it, yes. I think it was with the LegacySerializer / Deserializer. I don't have logs all the way from back then anymore but I made the change due to some error when I was trying to fix the MySQL.

darbyjack

comment created time in 2 months